﻿
namespace ELTE.Net.GameServer.Console
{
    class Program
    {
        static void Main(string[] args)
        {
            try
            {
                ServerManager manager = ServerManager.Instance; // szerverpéldány lekérdezése
                manager.Start(); // szerver indítása
                if (manager.Running) // ha sikerült elindítani
                {
                    System.Console.WriteLine("Szerver elindítva. Billentyűre lekapcsol.");
                    System.Console.ReadKey();
                }
                manager.Stop(); // szerver leállítása
            }
            catch
            {
                System.Console.WriteLine("A szerver indítása sikertelen.");
            }
        }
    }
}
