﻿using System.Windows;
using ELTE.Net.ChatRoom.Tcp.ClientInViewModel.View;
using ELTE.Net.ChatRoom.Tcp.ClientInViewModel.ViewModel;

namespace ELTE.Net.ChatRoom.Tcp.ClientInViewModel
{
    /// <summary>
    /// Interaction logic for App.xaml
    /// </summary>
    public partial class App : Application
    {
        protected override void OnStartup(StartupEventArgs e)
        {
            base.OnStartup(e);

            MainWindow view = new MainWindow(); // nézet létrehozása

            NetworkManagerViewModel ViewModel = new NetworkManagerViewModel(); // nézetmodell létrehozása

            view.DataContext = ViewModel; // nézetmodell és modell társítása

            view.Show();
        }

    }
}
